Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util
Class SlowHC4SSLSocketFactory

    java.lang.Object
      org.apache.http.conn.ssl.SSLSocketFactory
          org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory
              org.apache.jmeter.protocol.http.util.SlowHC4SSLSocketFactory

All Implemented Interfaces:
  org.apache.http.conn.scheme.LayeredSchemeSocketFactory, org.apache.http.conn.scheme.LayeredSocketFactory, org.apache.http.conn.scheme.SchemeLayeredSocketFactory, org.apache.http.conn.scheme.SchemeSocketFactory, org.apache.http.conn.scheme.SocketFactory

    public class SlowHC4SSLSocketFactory

extends HC4TrustAllSSLSocketFactory

Apache HttpClient protocol factory to generate "slow" SSL sockets for emulating dial-up modems

Field Summary

Fields inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`ALLOW_ALL_HOSTNAME_VERIFIER, BROWSER_COMPATIBLE_HOSTNAME_VERIFIER, SSL, SSLV2, STRICT_HOSTNAME_VERIFIER, TLS`

Constructor Summary
`SlowHC4SSLSocketFactory(int cps)` Create a factory

Method Summary

Methods inherited from class org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory
`createLayeredSocket, createSocket, createSocket`

Methods inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`connectSocket, connectSocket, createLayeredSocket, createSocket, getHostnameVerifier, getSocketFactory, getSystemSocketFactory, isSecure, prepareSocket, setHostnameVerifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowHC4SSLSocketFactory

    public SlowHC4SSLSocketFactory(int cps)
                            throws GeneralSecurityException

  Create a factory

  Parameters:
    `cps` - - characters per second, must be > 0
  Throws:
    `GeneralSecurityException` - if there's a problem setting up the security
    `IllegalArgumentException` - if cps ≤ 0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.